%define upstream_name    Alien-automake
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build or find automake
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Alien-automake-vendorlib.patch
Patch1:     Alien-automake-no-download.patch
BuildRequires: perl(Alien::Base) >= 0.38.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Alien::Build::Plugin::Build::Autoconf) >= 0.470.0
BuildRequires: perl(Alien::Build::Plugin::Build::MSYS) >= 0.840.0
BuildRequires: perl(Alien::autoconf)
BuildRequires: perl(Env)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(Test::Alien)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

Requires:   automake
%description
This distribution provides automake so that it can be used by other Perl
distributions that are on CPAN. It does this by first trying to detect an
existing install of automake on your system. If found it will use that. If
it cannot be found, the source code will be downloaded from the internet
and it will be installed in a private share location for the use of other
modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Alien/automake.pm
%perl_vendorlib/auto/share/dist/Alien-automake/

%changelog
* Mon Feb 17 2020 tv <tv> 0.150.0-1.mga8
+ Revision: 1536856
- update to 0.15

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-4.mga8
+ Revision: 1503431
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-3.mga7
+ Revision: 1281570
- Mageia 7 Mass Rebuild

* Wed Jul 25 2018 wally <wally> 0.140.0-2.mga7
+ Revision: 1245233
- require automake

* Tue Jul 24 2018 wally <wally> 0.140.0-1.mga7
+ Revision: 1245133
- add patches to install to noarch vendorlib and to skip dl'ing automake sources
- imported package perl-Alien-automake

